Page({
  data: {
    checkboxLists: [
      {
        itemName: '单行列表1',
        value: 'single1',
        checked: false
      },
      {
        itemName: '单行列表2',
        value: 'single1',
        checked: false
      }
    ],
    descibes: '', // 弹窗的描述 在删除时的提示文字
    isMessageShow: false,
    type: 'success',
    duration: 2000,
    isModalShow: false,
    // 弹窗框模型
    modalType: {
      addPop: {
        title: '添加会议室分类',
        hasInput: true,
        btnClass: '', // 弹出框的类型
        inputPlaceholder: '请输入',
        buttonList: [
          {
            name: '取消',
            class: 'cancel'
          },
          {
            name: '确定',
            class: 'confirm'
          }
        ]
      },
      editPop: {
        title: '编辑会议室分类',
        hasInput: true,
        btnClass: '', // 弹出框的类型
        inputPlaceholder: '请输入',
        buttonList: [
          {
            name: '取消',
            class: 'cancel'
          },
          {
            name: '确定',
            class: 'confirm'
          }
        ]
      },
      deletePop: {
        title: '删除分类',
        hasInput: false,
        btnClass: '', // 弹出框的类型
        buttonList: [
          {
            name: '取消',
            class: 'cancel'
          },
          {
            name: '确认删除',
            class: 'confirm'
          }
        ]
      }
    },
    attrs: ''
  },
  onLoad() { dd.setNavigationBar({ title: '会议室分类' }); },
  // 点击选中列表
  selectCheckBox(event) {
    let index = event.currentTarget.dataset.index
    let checkboxLists = this.data.checkboxLists
    checkboxLists[index].checked = !checkboxLists[index].checked;
    this.setData({
      checkboxLists: checkboxLists,
    })
  },
  // 弹出窗
  changeModal(event) {
    let index = event.currentTarget.dataset.index
    let modal = event.currentTarget.dataset.modal
    if (modal=='editPop' || modal=='deletePop') {
      this.setData({
        descibes: this.data.checkboxLists[index].itemName,
      })
    } else {
      this.setData({
        descibes: '',
      })
    }
    this.setData({
      btnClass: event.currentTarget.dataset.modal,
      attrs: this.data.modalType[`${event.currentTarget.dataset.modal}`],
      isModalShow: true
    })
  },
  // 弹窗input 输入
  onDmInput(e, self) {
    this.setData({
      'attrs.inputValue': e.detail.value,
    });
  },
  // 点击清空按钮
  onDmClear(e, self) {
    this.setData({
      'attrs.inputValue': ''
    });
  },
  // 点击底部按钮
  onDmBtnTap(e, self) {
    const _that = this
    switch (this.data.btnClass) {
      case 'addPop':
        if (e.currentTarget.dataset.index == 1) {
          // this.setData({
          //   isMessageShow: true,
          //   content: '添加设备成功'
          // })
          this.setData({
            type: 'error',
            isMessageShow: true,
            content: '添加设备失败'
          })
          console.log(this.data.attrs.inputValue)
        }
        break;
      case 'editPop':
        if (e.currentTarget.dataset.index == 1) {
          // this.setData({
          //   isMessageShow: true,
          //   content: '编辑成功'
          // })
          this.setData({
            type: 'error',
            isMessageShow: true,
            content: '编辑失败'
          })
        }
        break;
      case 'deletePop':
        if (e.currentTarget.dataset.index == 1) {
          // this.setData({
          //   isMessageShow: true,
          //   content: '删除成功'
          // })
          this.setData({
            type: 'error',
            isMessageShow: true,
            content: '删除失败'
          })
        }
        break;
      default:
        this.setData({
          isModalShow: false,
          'attrs.inputValue': ''
        })
    }
    this.setData({
      isModalShow: false,
      'attrs.inputValue': ''
    })
    // 延迟300ms 收起提示框
    setTimeout(function () {
      _that.setData({
        isMessageShow: false
      })
    }, 300)
  },
  // 保存当前设置
  save() {
    let select = []
    for (let item of this.data.checkboxLists) {
      if (item.checked == true) {
        select.push(item)
      }
    }
    console.log(select, 'selct')

  }


});
